On Dec 3, 2006, at 21:42 , David Drub wrote:

> Daniel Waite wrote:
>> I'm having the same problem, but when I run:
>>
>> ruby extconf.rb
>>
>> I get:
>>
>> # ruby extconf.rb
>> checking for deflateReset() in -lz... no
>> checking for deflateReset() in -llibz... no
>> checking for deflateReset() in -lzlib... no
>>
>> What a brick wall. =/
>>
>> - Rabbit
>
>
> ~/tmp/browser_dowloads/ruby-1.8.5-p2/ext/zlib$ ruby extconf.rb
> checking for deflateReset() in -lz... no
> checking for deflateReset() in -llibz... no
> checking for deflateReset() in -lzlib... no
> checking for deflateReset() in -lzdll... no
> *** extconf.rb failed ***
>
> This is painful.  Have yet to discover the right incantations.
> Help anyone?  Many thanks.

Install zlib (and, if your OS is that weird, its headers too).

-- 
Eric Hodel - drbrain / segment7.net - http://blog.segment7.net

I LIT YOUR GEM ON FIRE!